Subject: bug#14142: 24.3.50; documentation bug in TRAMP

From: Michael Albinus <[email-masked]>
Date: Fri, 05 Apr 2013 11:02:20 +0200

[email-masked] writes:

Hi Joakim,

> There is a possible documentation bug in TRAMP.
>
> The TRAMP docs say:
>
> ,----
> |    Opening `/sudo:randomhost.your.domain:' would connect first
> | `randomhost.your.domain' via `ssh' under your account name, and perform
> | `sudo -u root' on that host afterwards.  It is important to know that
> | the given method is applied on the host which has been reached so far.
> | `sudo -u root', applied on your local host, wouldn't be useful here.
> `----

You should quote the whole documentation about:

,----
| If you, for example, wants to work as 'root' on hosts in the domain
| 'your.domain', but login as 'root' is disabled for non-local
| access, you might add the following rule:
|
|      (add-to-list 'tramp-default-proxies-alist
|                   '("\\.your\\.domain\\'" "\\`root\\'" "/ssh:%h:"))
|
| Opening '/sudo:randomhost.your.domain:' would connect first
| 'randomhost.your.domain' via 'ssh' under your account name, and
| perform 'sudo -u root' on that host afterwards.  It is important to
| know that the given method is applied on the host which has been
| reached so far.  'sudo -u root', applied on your local host,
| wouldn't be useful here.
`----

I'll mark it as not-a-bug.

Best regards, Michael.